# Uses of Interface
org.opensaml.saml.saml2.metadata.ServiceName

Packages that use ServiceName
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of ServiceName in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type ServiceName
Modifier and Type
Method
Description
`List<ServiceName>`
AttributeConsumingService.`getNames()`
Gets the list of names this service has.

## Uses of ServiceName in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement ServiceName
Modifier and Type
Class
Description
`class`
`ServiceNameImpl`
Concrete implementation of `ServiceName`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type ServiceName
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<ServiceName>`
AttributeConsumingServiceImpl.`serviceNames`
ServiceName children.
Methods in org.opensaml.saml.saml2.metadata.impl that return ServiceName
Modifier and Type
Method
Description
`ServiceName`
ServiceNameBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`ServiceName`
ServiceNameBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type ServiceName
Modifier and Type
Method
Description
`List<ServiceName>`
AttributeConsumingServiceImpl.`getNames()`
Gets the list of names this service has.